package it.volga.model.tiles;

import it.volga.model.Doom;
import it.volga.model.Location;

public abstract class Tile
{

    private final char symbol;

    Tile(char symbol)
    {
        this.symbol = symbol;
    }

    public abstract boolean tryToStep(Doom model, Location tileAt);

    @Override
    public String toString()
    {
        return Character.toString(symbol);
    }

    public char symbol()
    {
        return symbol;
    }

    public abstract boolean tryMoveCrateTo();

    public abstract boolean isWalkable();

}
