package it.volga.view;

public class Point
{

    public static Point of(final int x, final int y)
    {
        return new Point(x, y);
    }

    private int x;
    private int y;

    private Point(final int x, final int y)
    {
        this.x = x;
        this.y = y;
    }

    public int axis()
    {
        return x;
    }

    public int ordinate()
    {
        return y;
    }

    public Point delta(Point other)
    {
        return Point.of(other.x - this.x, other.y - this.y);
    }

    public void move(final Point delta)
    {
        this.x += delta.x;
        this.y += delta.y;
    }

}
