package it.volga.model.tiles;

import it.volga.model.Doom;
import it.volga.model.Location;

public class Crate extends Tile
{

    public Crate()
    {
        super('K');
    }

    @Override
    public boolean tryToStep(Doom model, Location tileAt)
    {
        System.out.println("Впереди ящик, пробую подвинуть");
        if (model.tryMoveCrateAt(tileAt))
        {
            model.player().move(tileAt);
            return true;
        }
        return false;
    }

    @Override
    public boolean tryMoveCrateTo()
    {
        System.out.println("Перемещать ящик на другой нельзя");
        return false;
    }

    @Override
    public boolean isWalkable()
    {
        return false;
    }

    @Override
    public boolean equals(Object obj)
    {
        if (obj instanceof Crate)
        {
            return ((Crate) obj).symbol() == this.symbol();
        }
        return false;
    }

}
