package it.volga.model.tiles;

import it.volga.model.Doom;
import it.volga.model.Location;

public class Floor extends Tile
{
    public Floor()
    {
        super('.');
    }

    @Override
    public boolean tryToStep(Doom model, Location tileAt)
    {
        model.player().step(tileAt);
        return true;
    }

    @Override
    public boolean tryMoveCrateTo()
    {
        return true;
    }

    @Override
    public boolean isWalkable()
    {
        return true;
    }

    @Override
    public boolean equals(Object obj)
    {
        return (obj instanceof Floor);
    }
}
